# idm_redis
class eid::idm_redis (
) {

  class { 'sunet::rediscluster':
    numnodes => 1,
    hostmode => true,
    tls      => true
  }

  file { "/etc/ssl/certs/${facts['networking']['fqdn']}_infra.crt":
    mode   => '0644',
  }

  file { "/etc/ssl/private/${facts['networking']['fqdn']}_infra.key":
    mode   => '0644',
  }

  file { '/etc/ssl/private':
    mode   => '0711',
  }

  package { ['redis-tools']:
    ensure => installed,
  }
}
